pfe-posix-ext
Prev? | pfe Forth Wordset List | ?Next

## Name

pfe-posix-ext ?

## Synopsis

`NTOHL ( l -- l' ) ?=>? (` | `)`; | ?

`"EXTENSIONS"`;
?

`HTONL ?=>? (` | `)`; | ?

`"EXTENSIONS"`;
?

`NTOHS ( w -- w' ) ?=>? (` | `)`; | ?

`"EXTENSIONS"`;
?

`HTONS ?=>? (` | `)`; | ?

`"EXTENSIONS"`;
?

## Description

NTOHL ( l -- l' ) => "EXTENSIONS"

if current host-encoding is bigendian, this is a NOOP otherwise byteswap the lower 32-bit bits of the topofstack. see `L@` and `L!` (being usually just `@` and `!` ) (on some platforms, the upper bits are erased, on others not)

HTONL - no description, sorry

NTOHS ( w -- w' ) => "EXTENSIONS"

if current host-encoding is bigendian, this is a NOOP otherwise byteswap the lower 16-bit bits of the topofstack. see `W@` and `W!` (on some platforms, the upper bits are erased, on others not)

HTONS - no description, sorry

Prev? | Up | ?Next
pfe-option-ext? | Home | ?pfe-search-ext